## org.apache.jasper.el
Class ELContextWrapper

    java.lang.Object
      javax.el.ELContext
          org.apache.jasper.el.ELContextWrapper

    public final class ELContextWrapper

extends javax.el.ELContext

Simple ELContextWrapper for runtime evaluation of EL w/ dynamic FunctionMappers

Author:
  jhook

Constructor Summary
`ELContextWrapper(javax.el.ELContext target, javax.el.FunctionMapper fnMapper)`

Method Summary
`java.lang.Object` `getContext(java.lang.Class key)`
`javax.el.ELResolver` `getELResolver()`
`javax.el.FunctionMapper` `getFunctionMapper()`
`java.util.Locale` `getLocale()`
`javax.el.VariableMapper` `getVariableMapper()`
`boolean` `isPropertyResolved()`
`void` `putContext(java.lang.Class key, java.lang.Object contextObject)`
`void` `setLocale(java.util.Locale locale)`
`void` `setPropertyResolved(boolean resolved)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ELContextWrapper

    public ELContextWrapper(javax.el.ELContext target,
                            javax.el.FunctionMapper fnMapper)

Method Detail

### getELResolver

    public javax.el.ELResolver getELResolver()

  Specified by:
    `getELResolver` in class `javax.el.ELContext`

### getFunctionMapper

    public javax.el.FunctionMapper getFunctionMapper()

  Specified by:
    `getFunctionMapper` in class `javax.el.ELContext`

### getVariableMapper

    public javax.el.VariableMapper getVariableMapper()

  Specified by:
    `getVariableMapper` in class `javax.el.ELContext`

### getContext

    public java.lang.Object getContext(java.lang.Class key)

  Overrides:
    `getContext` in class `javax.el.ELContext`

### getLocale

    public java.util.Locale getLocale()

  Overrides:
    `getLocale` in class `javax.el.ELContext`

### isPropertyResolved

    public boolean isPropertyResolved()

  Overrides:
    `isPropertyResolved` in class `javax.el.ELContext`

### putContext

    public void putContext(java.lang.Class key,
                           java.lang.Object contextObject)
                    throws java.lang.NullPointerException

  Overrides:
    `putContext` in class `javax.el.ELContext`
  Throws:
    `java.lang.NullPointerException`

### setLocale

    public void setLocale(java.util.Locale locale)

  Overrides:
    `setLocale` in class `javax.el.ELContext`

### setPropertyResolved

    public void setPropertyResolved(boolean resolved)

  Overrides:
    `setPropertyResolved` in class `javax.el.ELContext`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.